Type to search.

Update a data view

Base URL
https://{kibana_url}
Auth

Update an existing data view. Only the fields provided in the request body are updated.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

viewId string required

An identifier for the data view.

Example: ff959d40-b880-11e8-a6d9-e546fe2bba5f

Header parameters

kbn-xsrf string required

Cross-site request forgery protection

Request body

data_view object required

The data view properties you want to update. Only the specified properties are updated in the data view. Unspecified fields stay as they are persisted.

allowNoIndex boolean

Allows the data view saved object to exist before the data is available. Defaults to false.

fieldFormats object

A map of field formats by field name.

fields object
name string
runtimeFieldMap map string to object
timeFieldName string

The timestamp field name, which you use for time-based data views.

title string

Comma-separated list of data streams, indices, and aliases that you want to search. Supports wildcards (*).

type string

When set to rollup, identifies the rollup data views.

refresh_fields boolean · default: false

Reloads the data view fields after the data view is updated.

Responses

Indicates a successful call.

application/json